import { Editor, setDefaultWidgets } from './lib/Editor';
import { useEditorPlugin } from './lib/useEditorPlugin';
import { useEditor } from './lib/useEditor';
import { widget } from './lib/decorators';
import { Widget } from './lib/components/widget/Widget';
import { WidgetDescription } from './lib/components/widget/WidgetDescription';
import { WidgetError } from './lib/components/widget/WidgetError';
import { WidgetField } from './lib/components/widget/WidgetField';
import { Label } from './lib/components/label/Label';
import Markdown from 'markdown-to-jsx';
// export dependency
export { Markdown };
export { 
// components
Label, Widget, WidgetDescription, WidgetError, WidgetField, 
// integration
widget, 
// core
Editor, setDefaultWidgets, useEditor, useEditorPlugin };
// re-exports from headless-json-editor & json-schema-library
import { createNode, deepEqual, EventLoggerPlugin, findNode, getChildNode, getData, getErrors, getNode, getNodeList, getNodeTrace, getOptions, HistoryPlugin, isBooleanNode, isChangeEvent, isFileNode, isJsonError, isNode, isNullNode, isNumberNode, isParentNode, isStringNode, isValueNode, moveNode, OnChangePlugin, RemoteEnumOptionsPlugin, removeNode, setErrorMessages, SetOptionTitleToPlugin, setValue, splitErrors, unlinkAll, unlinkPath, updateErrors, updateNode, updateOptions, updateSchema, validateNode } from 'headless-json-editor';
export { createNode, deepEqual, EventLoggerPlugin, findNode, getChildNode, getData, getErrors, getNode, getNodeList, getNodeTrace, getOptions, HistoryPlugin, isBooleanNode, isChangeEvent, isFileNode, isJsonError, isNode, isNullNode, isNumberNode, isParentNode, isStringNode, isValueNode, moveNode, OnChangePlugin, RemoteEnumOptionsPlugin, removeNode, setErrorMessages, SetOptionTitleToPlugin, setValue, splitErrors, unlinkAll, unlinkPath, updateErrors, updateNode, updateOptions, updateSchema, validateNode };
//# sourceMappingURL=index.js.map