import { HeadlessEditor, HeadlessEditorOptions, Node } from 'headless-json-editor';
import { Widget, WidgetPlugin } from './decorators';
export declare function setDefaultWidgets(widgets: WidgetPlugin[]): void;
export type EditorOptions<Data = unknown> = HeadlessEditorOptions<Data> & {
    widgets?: WidgetPlugin[];
    /** if all supporting editors should update on each keystroke instead of on blur. Defaults to false */
    liveUpdate?: boolean;
    /** if true disables all editors */
    disabled?: boolean;
};
export declare class Editor<Data = unknown> extends HeadlessEditor<Data> {
    widgets: WidgetPlugin[];
    widgetOptions: {
        /** if all supporting editors should update on each keystroke instead of on blur. Defaults to false */
        liveUpdate?: boolean;
        /** if true disables all editors */
        disabled?: boolean;
    };
    constructor(options: EditorOptions<Data>);
    getWidget(node: Node, options?: Record<string, unknown>): Widget;
}
