import { ErrorWidget } from './components/ErrorWidget';
import { HeadlessEditor, isNode } from 'headless-json-editor';
let defaultWidgets = [];
export function setDefaultWidgets(widgets) {
    defaultWidgets = widgets;
}
export class Editor extends HeadlessEditor {
    constructor(options) {
        super(options);
        this.widgetOptions = {};
        if (typeof (options === null || options === void 0 ? void 0 : options.liveUpdate) === 'boolean') {
            this.widgetOptions.liveUpdate = options.liveUpdate;
        }
        if (typeof (options === null || options === void 0 ? void 0 : options.disabled) === 'boolean') {
            this.widgetOptions.disabled = options.disabled;
        }
        this.widgets = Array.isArray(options === null || options === void 0 ? void 0 : options.widgets) ? options.widgets : defaultWidgets;
    }
    getWidget(node, options) {
        if (!isNode(node)) {
            console.log('invalid node passed to getWidget', node);
            return ErrorWidget;
        }
        const { Widget } = this.widgets.find((ed) => ed.use(node, options)) || {};
        if (Widget) {
            return Widget;
        }
        throw new Error(`Failed retrieving an editor for '${node.pointer}'`);
    }
}
//# sourceMappingURL=Editor.js.map