import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { isJsonError } from 'headless-json-editor';
export const ErrorWidget = ({ node, editor }) => {
    const error = node.schema;
    const description = `${error.name} '${node.pointer}': ${error.message}`;
    return (_jsxs("div", { className: "rje-form", "data-type": "error", "data-id": node.pointer, children: [_jsxs("div", { className: "rje-form__node", children: [_jsx("button", { className: "ui button basic outline", onClick: () => editor.removeValue(node.pointer), children: "delete" }), _jsx("label", { children: `${node.property} (${error.name})` })] }), _jsx("div", { className: "rje-form__errors", children: node.errors.map((e, index) => (_jsx("div", { className: "rje_form__error", children: e.message }, index))) }), description && _jsx("em", { className: "rje-description", children: description }), _jsx("p", { style: { background: 'rgb(208, 120, 132)', padding: '8px' }, children: JSON.stringify({ ...node.schema }, null, 2) })] }));
};
export const ErrorWidgetPlugin = {
    id: 'error-widget',
    use: (node) => isJsonError(node.schema),
    Widget: ErrorWidget
};
//# sourceMappingURL=ErrorWidget.js.map