/// <reference types="react" />
import { Node } from 'headless-json-editor';
import { Editor } from '../../Editor';
import { WidgetFieldProps } from './WidgetField';
import { WidgetDescription, WidgetDescriptionProps } from './WidgetDescription';
import { WidgetError, WidgetErrorProps } from './WidgetError';
export type WidgetProps<T extends Node = Node> = {
    editor: Editor | null;
    node?: Node;
    options?: Partial<T['options']>;
};
export declare function Widget<T extends Node = Node>({ editor, node, options }: WidgetProps<T>): import("react/jsx-runtime").JSX.Element | null;
export declare namespace Widget {
    var Field: import("react").ForwardRefExoticComponent<WidgetFieldProps & import("react").RefAttributes<HTMLDivElement>> & {
        Header: ({ children }: import("./WidgetField").WidgetFieldHeaderProps) => import("react/jsx-runtime").JSX.Element | null;
        Error: typeof WidgetError;
        Description: typeof WidgetDescription;
    };
    var Description: typeof WidgetDescription;
    var Error: typeof WidgetError;
}
export type { WidgetFieldProps, WidgetDescriptionProps, WidgetErrorProps };
