import { CSSProperties, ReactNode, ForwardRefExoticComponent, PropsWithoutRef, RefAttributes } from 'react';
import { Node, DefaultNodeOptions, JsonError } from 'headless-json-editor';
import { WidgetError } from './WidgetError';
import { WidgetDescription } from './WidgetDescription';
export type WidgetFieldProps = {
    widgetType: string;
    node: Node;
    options: DefaultNodeOptions;
    showDescription?: boolean;
    showError?: boolean;
    additionalError?: JsonError;
    children: ReactNode;
    className?: string;
    style?: CSSProperties;
    errors?: JsonError[];
};
type WidgetFieldComponent = ForwardRefExoticComponent<PropsWithoutRef<WidgetFieldProps> & RefAttributes<HTMLDivElement>> & {
    Header: typeof WidgetFieldHeader;
    Error: typeof WidgetError;
    Description: typeof WidgetDescription;
};
/**
 * container for root of a widget
 */
export declare const WidgetField: WidgetFieldComponent;
export type WidgetFieldHeaderProps = {
    children?: ReactNode | ReactNode[] | null;
};
declare function WidgetFieldHeader({ children }: WidgetFieldHeaderProps): import("react/jsx-runtime").JSX.Element | null;
export {};
