import { memo, useCallback } from 'react';
/**
 * react memo node comparison
 */
const isEqual = (prev, next) => {
    const equal = prev.node === next.node && prev.options === next.options;
    return equal;
};
/**
 * add setValue helper to editor component and reduce update cycles
 */
export function widget(WidgetComponent) {
    // eslint-disable-next-line react/display-name
    return memo((props) => {
        const setValue = useCallback(
        // eslint-disable-next-line react/prop-types
        (value) => props.editor.setValue(props.node.pointer, value), 
        // eslint-disable-next-line react-hooks/exhaustive-deps, react/prop-types
        [props.node.id, props.node.pointer, props.editor]);
        return WidgetComponent({
            ...props,
            // eslint-disable-next-line react/prop-types
            options: { ...props.node.options, ...props.editor.widgetOptions, ...props.options },
            setValue
        });
    }, isEqual);
}
//# sourceMappingURL=decorators.js.map