import { HeadlessEditorOptions, OnChangeListener } from 'headless-json-editor';
import { Editor } from './Editor';
import { WidgetPlugin } from './decorators';
export type UseEditorOptions<Data = unknown> = HeadlessEditorOptions<Data> & {
    onChange?: OnChangeListener<Data>;
    widgets?: WidgetPlugin[];
    /** optional cacheKey. Change cacheKey to recreate json-editor */
    cacheKey?: string | number;
    /** if all optional properties should be added when missing */
    addOptionalProps?: boolean;
    /** set tpo true to validate while typing. Defaults to onBlur */
    liveUpdate?: boolean;
};
/**
 * add json editor widget capabilities to your functional component
 */
export declare function useEditor<Data = unknown>(settings: UseEditorOptions<Data>): Editor<Data> | null;
